<?php
/*
 @wordpress-plugin
 Plugin Name: Informationsabfrage Spigotmc
 Author: Domisiding
 Author URI: https://domisiding.de
 Description: Mit diesen Plugin kann man Informationen von SpigotMC abfragen 
 Version: 1.0
 Text Domain: spmc
 License: GNU General Public License v2
 Domain Path: /languages
 */
//////////////////////////// Schutz //////////////////////////
if ( ! defined( 'WPINC' ) ) {
    die;
}
//////////////////////////// Include and Action //////////////////////////
add_action('spmc_language', 'spmc_sprache' );
add_action('admin_menu', 'spmc_adminmenu');
include 'spmc-import.php';
include 'spmc-shortcodes.php';

//////////////////////////// Sprachen //////////////////////////
function spmc_sprache() {
    load_plugin_textdomain( 'spmc', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
}
///////////////////////// Beschreibungsbersetzung //////////////////////////
$plugin_header_translate = array( __('Informationsabfrage Spigotmc', 'spmc'), __('Mit diesen Plugin kann man Informationen von SpigotMC abfragen ', 'spmc') );

$plugin_header_translate;
///////////////////////// Men //////////////////////////
function spmc_adminmenu() {
    add_menu_page('SpigotMC Daten', 'Spmc', 'manage_options','spmc-menu', 'spmc_page',plugins_url('/images/menu-icon.png', __FILE__));
    add_action( 'admin_init', 'spmc_settings' );
}
//////////////////////////// Men Seite //////////////////////////
function spmc_page() {
    
    echo "<h1>Spigotmc | Plugindaten</h1>";
    ?>
 
   <form id="spmc-daten" method="post" action="options.php">
        <?php settings_fields( 'spmc-group' ); ?>
        <?php do_settings_sections( 'spmc-group' ); ?>
        <table class="form-table">
            <tr valign="top">
              <div class="box_100">
    <p>Die Spigot Plugin-ID befindet sich im Dashboard und nochmals in der URL zum Plugin: https://www.spigotmc.org/resources/beispiel.Spigot-ID</td>
    </p>
            <td>
             <strong><?php _e('Plugin-ID:', 'spmc'); ?></strong>  <input class="form_text" required autofocus type="text" name="spmc_id" value="<?php echo get_option('spmc_id');?>"/>
            </td>
            </tr>
         </table>
        <?php submit_button();  ?>
    </form>
    
    
<?php

}
//////////////////////////// Daten //////////////////////////
function spmc_default_values_activation(){
    do_action( 'spmc_default_values' );
}
register_activation_hook( __FILE__, 'spmc_default_values_activation' );

function spmc_default_values(){
    
    add_option('spmc_id', '49554');

}
add_action( 'spmc_default_values', 'spmc_default_values' );

function spmc_settings()
{
    register_setting( 'spmc-group', 'spmc_id' );
    
    if(get_option('spmc_id')&&get_option('spmc_id')!="")
    {
        $spmc_id = get_option('spmc_id');
    }
    else unset($spmc_id);
    
}